Bug 456603 - Review Request: oggvideotools - Toolbox for manipulating Ogg video files
Review Request: oggvideotools - Toolbox for manipulating Ogg video files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-24 17:28 EDT by Matt Domsch
Modified: 2008-09-24 20:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-29 07:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2008-07-24 17:28:15 EDT
Spec URL: http://domsch.com/linux/fedora/oggvideotools.spec
SRPM URL: http://domsch.com/linux/fedora/oggvideotools-0.4-1.fc9.src.rpm
Description: 
A toolbox for manipulating Ogg video files, which usually consist of a
video stream (Theora) and an audio stream (Vorbis). It includes a
number of handy command line tools for manipulating these video files,
such as for splitting the different streams.
Comment 1 Matt Domsch 2008-07-24 18:22:13 EDT
yes, I know it doesn't build in mock; I need to figure out how to get autoconf
to run, as the one patch necessarily changes configure.ac.  right now autoconf
and autoreconf both fail.
Comment 2 Matt Domsch 2008-07-24 22:19:30 EDT
ok, I fixed it up so autoconf during build isn't needed, on F9 and rawhide at
least.  Please review the URLs noted above.
Comment 3 Matt Domsch 2008-07-25 00:57:57 EDT
needs a little more love to get the CPPFLAGS from %configure used properly.
Comment 4 Dan Horák 2008-07-28 03:37:48 EDT
For the C*FLAGS I think that you should use CXXFLAGS="$CXXFLAGS -Wall
-std=c++0x" instead of only CXXFLAGS="-Wall -std=c++0x".
Comment 5 Dan Horák 2008-07-28 04:49:06 EDT
OK	source files match upstream:
	    ae804223c15ac2ed39988bd82bd0996bb8c566f2  oggvideotools-0.4.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2+).  License text included in package.
OK	latest version is being packaged.
BAD	BuildRequires are proper.
BAD	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
BAD	debuginfo package looks complete.
OK*	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- you should add BR: libogg-devel, libtheora-devel, SDL-devel or is this
intentional ???
- see my comment #4 for the flags, correct debuginfo depends on them too
- the Patch: tags are using tabs instead of spaces
Comment 6 Matt Domsch 2008-07-28 12:07:46 EDT
Thanks for the review.

Regarding the missing BRs - the package needs some autoconf/automake love, which
I haven't had time to provide, nor am I an expert in such.  I omitted them,
because right now if they are present, it builds one extra (and IMHO useless)
application, and has the bad side-effect of unnecessarily linking those libs
into all the other executables it creates.  I've spoken with the author on these
points, and he isn't an autoconf/automake master either, so I would like to
simply omit the extra BRs until such a time this is fixed upstream.

I've fixed the tabs-as-spaces and CXXFLAGS in the spec I had posted, but I guess
I didn't post the new srpm.
Comment 7 Matt Domsch 2008-07-28 15:19:23 EDT
updated spec and SRPM posted at the above URLs.  I wound up fixing up upstream's
autotools breakage, and sent them the patches to include in the next version.

Please complete review.

Thanks,
Matt
Comment 8 Dan Horák 2008-07-28 16:14:44 EDT
All issues are fixed, so this package is APPROVED. But when you publish an
updated  package, you should increase the release too. It makes easier for the
reviewer to track the changes.
Comment 9 Matt Domsch 2008-07-28 17:38:24 EDT
New Package CVS Request
=======================
Package Name: oggvideotools
Short Description: Toolbox for manipulating Ogg video files
Owners: mdomsch
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-07-29 00:02:37 EDT
cvs done.
Comment 11 Fedora Update System 2008-07-29 01:22:23 EDT
oggvideotools-0.4-1.fc9 has been submitted as an update for Fedora 9
Comment 12 Dan Horák 2008-07-29 02:31:01 EDT
Reassigning back as the review must remain assigned to the reviewer. And you
should close it when the package is imported and built.
Comment 13 Matt Domsch 2008-07-29 07:54:28 EDT
imported and built, thanks.
Comment 14 Matt Domsch 2008-08-12 09:44:21 EDT
Package Change Request
======================
Package Name: oggvideotools
New Branches: EL-4 EL-5
Comment 15 Kevin Fenzi 2008-08-12 13:20:14 EDT
cvs done.
Comment 16 Fedora Update System 2008-08-12 18:58:26 EDT
oggvideotools-0.5-1.fc9 has been submitted as an update for Fedora 9
Comment 17 Fedora Update System 2008-08-12 18:59:03 EDT
oggvideotools-0.5-1.fc8 has been submitted as an update for Fedora 8
Comment 18 Fedora Update System 2008-09-24 20:10:55 EDT
oggvideotools-0.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2008-09-24 20:18:51 EDT
oggvideotools-0.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.